<?php
$version = get_option('WP_auto_tag_version', '0.1.5.1');
if( version_compare($version, '0.0.2', '<') ) {
	$options = array(
		'last_share_time' => 0,
		'last_get_time' => 0
	);
	add_option('WP_auto_tag_options', $options, 'WP auto tag Options');
	update_option('WP_auto_tag_version', '0.0.2');
}

if( version_compare($version, '0.0.3', '<') ) {
	$options = get_option('WP_auto_tag_options');
	$options['autotag_link'] = 1;
	$options['autotag_link_maxtimes'] = 1;
	$options['autotag_link_addin'] = array(
		'home' => false,
		'single' => true,
		'archive' => false,
		'search' => false
	);
	update_option('WP_auto_tag_options', $options);
	update_option('WP_auto_tag_version', '0.0.3');
}

if( version_compare($version, '0.0.4', '<') ) {
	$options = get_option('WP_auto_tag_options');
	$options['share_history'] = array();
	if( $options['last_share_time'] > 0 ) {
		$options['share_history'][] = array(
			'time' => $options['last_share_time'],
			'new_word' => 0,
			'old_word' => 0
		);
	}
	unset($options['last_share_time']);
	update_option('WP_auto_tag_options', $options);
	update_option('WP_auto_tag_version', '0.0.4');
}

if( version_compare($version, '0.0.5.1', '<') ) {
	update_option('WP_auto_tag_version', '0.0.5.1');
}

if( version_compare($version, '0.1.0', '<') ) {
	$options = get_option('WP_auto_tag_options');
	$options['autotag_link_nofollow'] = 1;
	$options['related_post'] = 0;
	$options['related_post_aside_tag'] = 0;
	$options['related_post_title'] = '相關文章';
	$optinos['related_post_count'] = 4;
	$options['related_post_img'] = 0;
	update_option('WP_auto_tag_options', $options);
	add_option('WP_auto_tag_related_old_count', 0, 'WP auto tag related old post count');
	update_option('WP_auto_tag_version', '0.1.0');
}

if( version_compare($version, '0.1.1', '<') ) {
	update_option('WP_auto_tag_version', '0.1.1');
}

if( version_compare($version, '0.1.2.1', '<') ) {
	update_option('WP_auto_tag_version', '0.1.2.1');
}

if( version_compare($version, '0.1.3', '<') ) {
	update_option('WP_auto_tag_version', '0.1.3');
}

if( version_compare($version, '0.1.5.1', '<') ) {
	delete_option('WP_auto_tag_related_old_count');
	add_option('WP_auto_tag_related_old_count', 0, 'WP auto tag related old post count', 'no');
	wp_clear_scheduled_hook('WP_auto_tag_related_post');
	update_option('WP_auto_tag_version', '0.1.5.1');
}
?>